ptop(1)

NAME
ptop - The FPC Pascal configurable source beautifier. Origin probably Pascal-TO-Pascal.

SYNOPSIS
ptop[-v] [-i indent] [-b bufsize ][-c optsfile] infile outfile

Description
ptop is a more or less configurable source beautifier for pascal sources, and specially the ones supported by FPC (which are more or less Turbo Pascal or Delphi 2.0 compatible).

ptop belongs to the FPC utils package, which currently also contains ppdep , h2pas , ppudump and ppumove .

Usage
ptop basically reformats "infile" and outputs the result to "outfile". ituses a configuration file explained further below, and can generate a default configurationfile for you to edit. (not needed if you use the defaults)

Options

-h  Writes a short description of these switches.

-c  read options from configuration file. A configuration file is not needed, ptop will revert to internal defaults then. See also -g

-i ident
    Sets the number of indent spaces used for BEGIN END; and other blocks.

-b bufsize
    Sets the buffersize to bufsize. Default 255, 0 is considered non-valid and ignored.

-v  be verbose. Currently only outputs the number of lines read/written and some error messages.

-g ptop.cfg
    Writes a default configuration file to be edited to the file ptop.cfg

Try to play with ptop and its configfile until you find the effect you desire. The configurability and possibilities of ptop are quite large compared to shareware source beautifier found on e.g. SIMTEL.

Acknowledgements
The writer of the program, Michael van Canneyt, who also helped out explaining the format of ptop.cfg.

Questions/corrections can be mailed to fpc-devel@vekoll.saturnus.vein.hu

Also thanks to the rest of the FPC development team. The program is a modernized (OOP, Streams, Delphi extensions) version based on a program by Peter Grogono, who in turn based his program on a Pascal pretty-printer written by Ledgard, Hueras, and Singer. See SIGPLAN Notices, Vol. 12, No. 7, July 1977, pages 101-105, and PP.DOC/HLP. This version of PP developed under Pascal/Z V4.0 or later. Very minor modifications for Turbo Pascal made by Willett Kempton March 1984 and Oct 84. Runs under 8-bit Turbo or 16-bit Turbo. Toad Hall tweak, rewrite for TP 5, 28 Nov 89

SEE ALSO

ptop config file
    ptop.cfg(5)

Compiler
    ppc386(1)

Other FPC utils
    ppdep(1) ppudump(1) ppumove(1) h2pas(1)